| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_EMC_DYN_CONFIG_T Struct Reference
IP: EMC register block and driver

## Detailed Description

EMC Dynamic Configure Struct.

Definition at line 238 of file emc_001.h.

`#include "emc_001.h"`

## Data Fields
int32_t | RefreshPeriod
uint32_t | ReadConfig
int32_t | tRP
int32_t | tRAS
int32_t | tSREX
int32_t | tAPR
int32_t | tDAL
int32_t | tWR
int32_t | tRC
int32_t | tRFC
int32_t | tXSR
int32_t | tRRD
int32_t | tMRD
IP_EMC_DYN_DEVICE_CONFIG_T | DevConfig [4]

## Field Documentation

IP_EMC_DYN_DEVICE_CONFIG_T DevConfig[4]

Device Configuration array

Definition at line 252 of file emc_001.h.

uint32_t ReadConfig

Clock

Definition at line 240 of file emc_001.h.

int32_t RefreshPeriod

Refresh period

Definition at line 239 of file emc_001.h.

int32_t tAPR

Last Data Out to Active Time

Definition at line 244 of file emc_001.h.

int32_t tDAL

Data In to Active Command Time

Definition at line 245 of file emc_001.h.

int32_t tMRD

Load Mode register command to Active Command

Definition at line 251 of file emc_001.h.

int32_t tRAS

Active to Precharge Command Period

Definition at line 242 of file emc_001.h.

int32_t tRC

Active to Active Command Period

Definition at line 247 of file emc_001.h.

int32_t tRFC

Auto-refresh Period

Definition at line 248 of file emc_001.h.

int32_t tRP

Precharge Command Period

Definition at line 241 of file emc_001.h.

int32_t tRRD

Active Bank A to Active Bank B Time

Definition at line 250 of file emc_001.h.

int32_t tSREX

Self Refresh Exit Time

Definition at line 243 of file emc_001.h.

int32_t tWR

Write Recovery Time

Definition at line 246 of file emc_001.h.

int32_t tXSR

Exit Selt Refresh

Definition at line 249 of file emc_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/emc_001.h